%define aurox_ver 9.3
%define rel 1

%define dfi %(which desktop-file-install &>/dev/null; echo $?)

%define fileversion 2.28c

Summary: 3D modeling, animation, rendering and post-production.
Name: blender
Version: 2.28.3
Release: %{aurox_ver}.aur.%{rel}
License: GPL
Group: Applications/Multimedia
URL: http://www.blender.org/
Source: http://download.blender.org/source/%{name}-%{fileversion}.tar.bz2
Source1: blender.png
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

BuildRequires: zlib-devel, libjpeg-devel, libpng-devel, glut, python-devel

%description
Blender is the essential software solution you need for 3D, from modeling,
animation, rendering and post-production to interactive creation and
playback.

Professionals and novices can easily and inexpensively publish stand-alone,
secure, multi-platform content to the web, CD-ROMs, and other media, whether
they are users of Windows, Linux, Irix, Sun Solaris, FreeBSD or OSX.

#%package devel
#Summary: Blender development files
#Group: Development/Libraries
#Requires: %{name} = %{version}-%{release}
#
#%description devel
#Blender developement files

%prep
%setup -q -n %{name}-%{fileversion}

%build
touch NEWS
touch AUTHORS
touch ChangeLog
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake} --add-missing
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

%{__install} -d -m0755 %{buildroot}%{_datadir}/pixmaps
%{__install} -m0644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/

cat <<EOF >%{name}.desktop
[Desktop Entry]
Name=Blender
Comment=%{summary}
Exec=%{name}
Icon=%{name}.png
Terminal=0
Type=Application
EOF

%if %{dfi}
        %{__install} -d -m0755 %{buildroot}%{_datadir}/gnome/apps/Graphics/
        %{__install} -m0644 %{name}.desktop %{buildroot}%{_datadir}/gnome/apps/Graphics/
%else
	%{__install} -d -m0755 %{buildroot}%{_datadir}/applications
	desktop-file-install --vendor aurox --delete-original \
		--add-category X-Aurox-Extra                 \
		--add-category Application                    \
		--add-category Graphics                       \
		--dir %{buildroot}%{_datadir}/applications    \
		%{name}.desktop
%endif

### Clean up buildroot
%{__rm} -f %{buildroot}%{_libdir}/*.la

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, 0755)
%doc COPYING README release*.txt doc/*
%{_bindir}/*
#%{_libdir}/*.so.*
%{_datadir}/pixmaps/*
%if %{dfi}
        %{_datadir}/gnome/apps/Graphics/*.desktop
%else
	%{_datadir}/applications/*.desktop
%endif

#%files devel
#%defattr(-, root, root, 0755)
#%doc INSTALL doc/building_blender.html
#%{_libdir}/*.a
#%{_libdir}/*.so
#%exclude %{_libdir}/*.la

%changelog
* Wed Jan 28 2004 Aurox Team <aurox@aurox.org> 0:2.28.3-9.3.aur.1
- rebuild
- touch files required by automake
- import spec and icon from Dag Wieers; latest source 2.28c

* Mon Feb 24 2003 Dag Wieers <dag@wieers.com> - 2.26-0
- Initial package. (using DAR)
